"""migration 5 fixed missing foreign key in comments

Revision ID: ca630c2679df
Revises: 675f37142f7d
Create Date: 2022-06-10 15:50:23.464750

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ca630c2679df'
down_revision = '675f37142f7d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('comment', sa.Column('post_id', sa.Integer(), nullable=False))
    op.create_foreign_key(op.f('fk_comment_post_id_post'), 'comment', 'post', ['post_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(op.f('fk_comment_post_id_post'), 'comment', type_='foreignkey')
    op.drop_column('comment', 'post_id')
    # ### end Alembic commands ###
